'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.handleSupports = handleSupports;

var _cssBrowserHacks = require('../../../constants/cssBrowserHacks');

var _countUsage = require('../../../calculators/countUsage');

var cssSupportsBrowserHacks = _cssBrowserHacks.cssBrowserHacks.filter(function (hack) {
	return hack.type === 'supports';
});

function handleSupports(atRule, report, options) {
	if (options.browserHacks) {
		cssSupportsBrowserHacks.forEach(function (hack) {
			if (hack.regex.test(atRule.params)) {
				atRule.params.match(hack.regex).forEach(function (match) {
					report.browserHacks.total++;
					(0, _countUsage.countUsage)(match, report.browserHacks.usage.supports);
				});
			}
		});
	}
}