'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.handleRule = handleRule;

var _isKeyframeRuleSelector = require('../../predicates/isKeyframeRuleSelector');

var _handleSelector = require('../handleSelector');

function handleRule(rule, report, options) {
	report.rules.total++;

	if (rule.nodes.length === 0) {
		report.rules.empty++;
	}

	/**
  * PostCSS `walkRules` goes throw @keyframes and consider
  * `to`, `from` and percent values as selectors of the rules
  */
	if (options.selectors && (0, _isKeyframeRuleSelector.isKeyframeRuleSelector)(rule.selector) === false) {
		if (report.selectors.maxPerRule < rule.selectors.length) {
			report.selectors.maxPerRule = rule.selectors.length;
		}

		rule.selectors.forEach(function (selector) {
			(0, _handleSelector.handleSelector)(selector, report, options);
		});
	}
}