'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.handleEngineTriggers = handleEngineTriggers;

var _cssEngineTriggerProperties = require('../../../constants/cssEngineTriggerProperties');

function handleEngineTriggers(prop, report) {
	if (Object.keys(_cssEngineTriggerProperties.cssEngineTriggerProperties).includes(prop)) {
		var engineTriggers = _cssEngineTriggerProperties.cssEngineTriggerProperties[prop];

		Object.keys(engineTriggers).forEach(function (engine) {
			if (engineTriggers[engine].layout === true) {
				report.properties.engineTriggers.layout[engine]++;
			}
			if (engineTriggers[engine].paint === true) {
				report.properties.engineTriggers.paint[engine]++;
			}
			if (engineTriggers[engine].composite === true) {
				report.properties.engineTriggers.composite[engine]++;
			}
		});
	}
}