'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.handleZIndex = handleZIndex;

var _cssExplicitDefaultingKeywords = require('../../../constants/cssExplicitDefaultingKeywords');

var _reCssVariable = require('../../../constants/reCssVariable');

var _countUsage = require('../../../calculators/countUsage');

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var zIndexAllowedKeywords = ['auto'].concat(_toConsumableArray(_cssExplicitDefaultingKeywords.cssExplicitDefaultingKeywords));

function handleZIndex(decl, report) {
	var propValue = decl.value;

	report.zIndices.total++;
	(0, _countUsage.countUsage)(propValue, report.zIndices.usage);

	/** Count invalid z-indices */
	if (Number.isInteger(Number(propValue)) === false && zIndexAllowedKeywords.includes(propValue) === false && propValue.startsWith('calc(') === false && _reCssVariable.reCssVariable.test(propValue) === false) {
		(0, _countUsage.countUsage)(propValue, report.zIndices.invalid);
	}
}